import { OnChanges, OnDestroy, OnInit, SimpleChanges } from '@angular/core';
import { AmChartsService } from '@amcharts/amcharts3-angular';
import { ColumnChartService } from './column.service';
export declare class ColumnComponent implements OnInit, OnChanges, OnDestroy {
    private AmCharts;
    private chartService;
    private chart;
    private element;
    private makeChart;
    private chartData;
    private chartMedian;
    chartWith: number;
    chartHeight: number;
    constructor(AmCharts: AmChartsService, chartService: ColumnChartService);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnDestroy(): void;
}
